<template>
  <div id="app">
    <Header/>
    <router-view/>
    <Contact/>
    <Footer/>
  </div>
</template>

<script>
import Header from "./components/Header.vue";
import Contact from "./components/Contact.vue";
import Footer from "./components/Footer.vue";

export default {
  name: "App",
  components: {
    Header,
    Contact,
    Footer
  }
};
</script>

<style>
@import url("https://fonts.googleapis.com/css?family=Raleway:200,400,600");
html {
  background: #fff;
}
#app {
  color: hsl(210, 89%, 4%);
  font-family: "Raleway", sans-serif;
  padding: 0;
  margin: 0 auto;
  max-width: 1200px;
  text-align: center;
}
html {
  margin: 0;
}
body {
  margin: 20px auto;
  max-width: 60%;
}
@media (max-width: 899px) {
  html,
  body {
    margin: 0;
  }
  body {
    margin: 5px auto;
    max-width: 90%;
  }
}
a {
  color: #2493a7;
  font-weight: bolder;
}
p.heading {
  margin-top: 30px;
  color: #636b6f;
  font-size: 1.75em;
  font-weight: 600;
  text-transform: uppercase;
  display: none;
}
p {
  margin: 20px auto 40px auto;
}
hr {
  height: 1px;
  width: 80%;
  text-align: center;
  margin: 40px auto;
  border: 0;
  padding: 0;
  background-image: linear-gradient(
    to right,
    rgba(255, 0, 0, 0),
    rgba(36, 147, 167, 1),
    rgba(255, 0, 0, 0)
  );
}
</style>
